#!../../bin/darwin-x86/GlassmanEJ_ET_FJ_FR

############################################################################
# Set up environment
epicsEnvSet("P", "$(P=glassmanTest:)")
epicsEnvSet("R", "$(R=1:)")
epicsEnvSet("GLASSMAN_IP", "$(GLASSMAN_IP=192.168.23.12:4098)")
< envPaths
epicsEnvSet("STREAM_PROTOCOL_PATH", "$(TOP)/db")

############################################################################
# Register support components
cd "${TOP}"
dbLoadDatabase "dbd/GlassmanEJ_ET_FJ_FR.dbd"
GlassmanEJ_ET_FJ_FR_registerRecordDeviceDriver pdbbase

############################################################################
# Configure hardware
drvAsynIPPortConfigure("L0", "$(GLASSMAN_IP) COM", 0, 0, 0, 0)
asynSetOption("L0", -1, "baud", "9600")
asynSetOption("L0", -1, "bits", "8")
asynSetOption("L0", -1, "parity", "none")
asynSetOption("L0", -1, "stop", "1")
asynSetOption("L0", -1, "clocal", "Y")
asynSetOption("L0", -1, "crtscts", "N")
asynSetTraceIOMask("L0",-1,0x2)
#asynSetTraceMask("L0",-1,0x09)


############################################################################
# Load record instances
dbLoadRecords("db/devGlassmanEJ_ET_FJ_FR.db","P=$(P),R=$(R),PORT=L0,Vmax=1000,Imax=300")
dbLoadRecords("db/asynRecord.db","P=$(IOC):,R=asyn,PORT=L0,ADDR=0,OMAX=100,IMAX=100")

############################################################################
# Start EPICS
cd "${TOP}/iocBoot/${IOC}"
iocInit
